=== doc/CMakeLists.txt ===
add_subdirectory(katomic)
add_subdirectory(bovo)
add_subdirectory(kbattleship)
add_subdirectory(kblackbox)
add_subdirectory(kblocks)
add_subdirectory(kbounce)
add_subdirectory(kbreakout)
add_subdirectory(kdiamond)
add_subdirectory(kgoldrunner)
add_subdirectory(killbots)
add_subdirectory(kiriki)
add_subdirectory(kjumpingcube)
add_subdirectory(klines)
add_subdirectory(kmahjongg)
add_subdirectory(kmines)
add_subdirectory(knetwalk)
add_subdirectory(kolf)
add_subdirectory(kollision)
add_subdirectory(konquest)
add_subdirectory(kpat)
add_subdirectory(kreversi)
add_subdirectory(ksame)
add_subdirectory(kshisen)
add_subdirectory(ksirk)
add_subdirectory(kspaceduel)
add_subdirectory(ksquares)
add_subdirectory(ktuberling)
add_subdirectory(kfourinline)
add_subdirectory(lskat)
add_subdirectory(kapman)
add_subdirectory(bomber)
if(OPENGL_FOUND)
   add_subdirectory(ksudoku)
   add_subdirectory(kubrick)
endif(OPENGL_FOUND)
