=== kbattleship/CMakeLists.txt ===
project(kbattleship)

add_subdirectory(src) 
add_subdirectory(data)
